%define module_version 0.12
%define module_name mRuby
# BEGIN SourceDeps(oneline):
BuildRequires: liblinenoise-devel libreadline-devel perl(Cwd/Guard.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(File/Which.pm) perl(Module/Build.pm) perl(Module/Build/XSUtil.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(overload.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators ruby ruby-stdlibs

Name: perl-%module_name
Version: 0.12
Release: alt5
Summary: mruby binding for perl5.
Group: Development/Perl
License: perl
URL: https://github.com/tokuhirom/mRuby.pm

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KARUPA/%{module_name}-%{module_version}.tar.gz

%description
%summary

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_archlib/m*
%perl_vendor_autolib/*

%changelog
* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.12-alt5
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.12-alt4.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.12-alt3.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.12-alt3
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.12-alt2
- rebuild to get rid of unmets

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Tue Dec 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1.1
- rebuild with perl 5.22

* Sat Nov 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Tue Dec 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt2
- rebuild with perl 5.20.1

* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

